# -*- coding: utf-8 -*-
from django.conf.urls import url
from simulation.extend_admin_mapping.views import HomeView, couple_select, SelectedCoupleListView, \
    selected_relation_cut, couple_favorite, FavoriteCoupleListView, favorite_relation_cut

urlpatterns = [
    # url(r'^$', HomeView.as_view(), name='index'),
    # 시뮬레이션 첫진입 url 그냥 시작하기와 e-book카탈로그 클릭시 받는 url들로 나눠있다
    url(r'^order/(?P<order_id>[0-9]+)/$', HomeView.as_view(), name='index'),
    url(r'^order/(?P<order_id>[0-9]+)/couple/(?P<couple_id>[0-9]+)/$', HomeView.as_view(), name='index'),

    # 커플 확정세트 관련
    url(r'^selected_couple_list/$', SelectedCoupleListView.as_view()),
    url(r'^couple_select/$', couple_select),
    url(r'^selected_relation_cut/$', selected_relation_cut),

    # 커플 관심리스트 관련
    url(r'^favorite_couple_list/$', FavoriteCoupleListView.as_view()),
    url(r'^couple_favorite/$', couple_favorite),
    url(r'^favorite_relation_cut/$', favorite_relation_cut),
]